import * as core from "@terrascript/core";

export interface DsTopicArgs {
  name: string | core.StringOut;
}

export class DsTopic extends core.Data<DsTopicArgs> {
  @core.attr(String, { computed: true })
  public arn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public name!: string | core.StringOut;

  constructor(name: string, args?: DsTopicArgs) {
    super(name, "aws_sns_topic", args);
  }

  public override getNamespace(): string {
    return "aws_sns";
  }
}
